{% getparam 'mobile' as mobile_param %}

{% if mobile_param %}
  {% assign mobile = true %}
{% endif %}

{% getparam 'sort' as params_sort %}
{% getparam 'type_tags' as params_type %}
{% getparam 'property1_values' as params_property1 %}
{% getparam 'property2_values' as params_property2 %}
{% getparam 'property3_values' as params_property3 %}
{% getparam 'q' as params_search %}

{% getparam 'min_price' as params_min_price %}
{% getparam 'max_price' as params_max_price %}

{% unless params_property1 %}
  {% assign params_property1 = '' %}
{% endunless %}

{% unless params_property2 %}
  {% assign params_property2 = '' %}
{% endunless %}

{% unless params_property3 %}
  {% assign params_property3 = '' %}
{% endunless %}

{% unless params_type %}
  {% assign params_type = '' %}
{% endunless %}

{% unless params_min_price %}
  {% assign params_min_price = 0.01 %}
{% endunless %}

{% unless params_max_price %}
  {% assign params_max_price = 999999 %}
{% endunless %}

{% head %}
<link href="/pages/tag_above.css" inline rel="stylesheet" type="text/css">
<link rel="stylesheet" href="{{ 'pages/tag.css' | stylesheet_path }}" media="print" onload="this.media='all'"/>
{% endhead %}

{% body %}
<script src="{{ 'tag.js' | javascript_path }}"></script>
{% endbody %}

{% comment %} ========== {% endcomment %}

{% load_products q: params_search per_page: 24 type_tags: params_type sort: params_sort property1_values: params_property1 property2_values: params_property2 property3_values: params_property3 min_price: params_min_price max_price: params_max_price %}

{% capture html_products %}
  {% for product in products %}
    {% render 'partials/components/product_block', product: product, lazy: 'lazy', mobile: mobile %}
  {% endfor %}
{% endcapture %}

<section class="section section-list-products">
  {% render 'partials/content/tag/topo_search', params_search: params_search, pagination: pagination %}
  {% render "partials/content/tag/breadcrumb", params_search: params_search %}

  <div class="list-content container">
    {% if html_products == blank %}
      {% render "partials/content/tag/empty", search: true, home_url: home_url, current_url: current_url %}
    {% else %}
      <div class="filter-container">
        <button aria-label="Abrir filtro" class="button-default -outlined" id="open-filter-mobile">
          <svg class="icon">
            <use xlink:href="#icon-filter"/>
          </svg>
          FILTROS
        </button>
        {% render "partials/content/tag/filters", aggregations: aggregations, template: template, current_shop: current_shop, has_sort: true %}
      </div>
      <div class="list-products">
        {{ html_products }}
      </div>
    {% endif %}
  </div>

  {% if pagination.total_pages > 1 %}
    {% render 'partials/content/tag/pagination', pagination: pagination, infinity: true, auto_load: false, btn_txt: 'VEJA MAIS +', current_url: current_url, params_search: params_search %}
  {% endif %}
</section>
